<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>CSS Styling and positioning properties</title>
	<link rel="stylesheet" type="text/css" href="index.css">
</head>

<body>
	<!-- Display properties -->
	<h3>Display</h3>
	<div id="div-1">This is a Display.</div>
	<span id="span-1">This is a span.</span>
	<img src="https://place-puppy.com/450x450" id="img">
	<span id="span-2">This is Another span</span>
	<div id="div-2">This is another div</div>

	<h3>Notes in block, inline and inline-block</h3>

	<p id="p-1">block takes up the whole width by default</p>
	<p id="p-2">width 60</p>
	<p id="p-3">width 40</p>
	<p>even if thers is enough space block elements do not sit next to each other unless they are floated</p>
	<p>inline elements are things like bold and italic. You cannot control the height and width of those elemnts</p>

	<p>inline-block can sit on the same line and combines block and inline properties</p>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<hr>

	<!-- Float properties -->
	<h3>Float</h3>
	<p>The float property is used for positioning and formatting content e.g. let an image float left to the text in a container.</p>
	<p>
		<img src="https://place-puppy.com/450x450" class="img-float"> Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
		tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
		quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
		consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
		cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
		proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
	</p>

	<hr>

	<!-- CSS unit -->
	<h4> px vs % vs rem vs em vs vh vs vw</h4>
	<div class="box fifty-percent">50%</div>
	<div class="box one-hundred-pixels">100px</div>
	<div class="box fifty-vw">50vw</div>
	<div class="box twenty-five-vh">25vh</div>
	<div class="one-rem">1rem</div>
	<div class="one-em">1em</div>
	<div class="two-rem">2rem</div>
	<div class="two-em">2em</div>
	<div class="one-rem">1rem</div>
	<div class="two-hundred-percent">200%</div>

	<br>

	<div class="parent">
		<div class="one-rem">1rem</div>
		<div class="one-em">1em</div>
		<div class="two-rem">2rem</div>
		<div class="two-em">2em</div>
		<div class="one-rem">1rem</div>
		<div class="two-hundred-percent">200%</div>
		<div class="box fifty-percent">50%</div>
		<div class="box one-hundred-pixels">100px</div>
		<div class="box fifty-vw">50vw</div>
		<div class="box twenty-five-vh">25vh</div>
	</div>

	<!-- background properties -->

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>

	<!-- CSS Positioning -->
	<h2>CSS Positioning</h2>

	<div class="parent-element">Parent element
		<div class="child-one">I'm the child one element</div>
		<div class="child-two">Eyes on me.I'm the child two element</div>
		<div class="child-three">I'm the child three element</div>
	</div>

	<!-- Z-index property -->

	<h2>Z-index Example</h2>
	<p>An element with greater stack order is always above an element with a lower stack order.</p>
	<div class="container">
		<div class="black-box">Black box (z-index:1)</div>
		<div class="gray-box">Gray box (z-index:3)</div>
		<div class="green-box">Green box (z-index:2)</div>
	</div>


</body>
</html>
